net_version

Network: HyperEVM · Mainnet · Chain ID 999 (0x3e7)

Description

Returns the current network ID as a string.

On HyperEVM the network ID is normally the decimal chain ID, 999.

Parameters

None

Request

{ "jsonrpc": "2.0", "method": "net_version", "params": [], "id": 1 }

Response

{ "jsonrpc": "2.0", "id": 1, "result": "999" }

Code Examples

curl -X POST https://hyperevm-rpc.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"net_version","params":[],"id":1}'

Try It